# x2sys_binlist

Create bin index listing from track data files

## Synopsis

gmt x2sys_binlist track(s) -T TAG [ -D ] [ -E ] [ -V[level] ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

x2sys_binlist reads one or more track data files and produces a multisegment ASCII track bin-index file (tbf) with the track name in the header and one data record per bin crossed; these records contain lon, lat, index, flags[, dist], where lon, lat are the coordinates of the center of the bin, the index is the 1-D number of the bin, and flags is a bitflag that describes which data fields were available in this bin. The optional dist requires -D. The input files can be of any format, which must be described and passed with the -T option. The bin-index listing is a crude representation of where the track goes and is used by the data archivist to build an x2sys track data base for miscellaneous track queries, such as when needing to determine which tracks should be compared in a crossover analysis. You must run x2sys_init to initialize the tag before you can run the indexing.

## Required Arguments

tracks

  Can be one or more ASCII, native binary, or COARDS netCDF 1-D data files. To supply the data files via a text file with a list of tracks (one per record), specify the name of the track list after a leading equal-sign (e.g., =tracks.lis). If the names are missing their file extension we will append the suffix specified for this TAG. Track files will be searched for first in the current directory and second in all directories listed in $X2SYS_HOME/TAG/TAG_paths.txt (if it exists). [If $X2SYS_HOME is not set it will default to $GMT_SHAREDIR/x2sys]. (Note: MGD77 files will also be looked for via MGD77_HOME/mgd77_paths.txt and *.gmt files will be searched for via $GMT_SHAREDIR/mgg/gmtfile_paths).

-T TAG

  Specify the x2sys TAG which identifies the attributes of this data type.

## Optional Arguments

-D

  Calculate the length of track-line segments per bin [Default skips this step]. The length fragments are given as the 5th output column (after the flags). The length units are obtained via the TAG setting (see x2sys_init).

-E

  Convert geographic data to a cylindrical equal-area projection prior to binning. Basically, we apply the projection -JY lon0/37:04:17.166076/360, where lon0 is the mid-longitude of the region. Requires -D, geographical data, and a global region (e.g., -Rg or -Rd). This option is useful for statistics related to track-line density but should not be used when preparing bin-index files for the x2sys track data bases.

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-^ or just -

  Print a short message about the syntax of the command, then exit (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Examples

To create a bin index file from the MGD77 file 01030061.mgd77 using the settings associated with the tag MGD77, do:

    gmt x2sys_binlist 01030061.mgd77 -TMGD77 > 01030061.tbf

To create a track bin index file of all MGD77+ files residing in the current directory using the settings associated with the tag MGD77+ and calculate track distances, run:

    gmt x2sys_binlist *.nc -TMGD77+ -D > all.tbf

## References

Wessel, P. (2010), Tools for analyzing intersecting tracks: the x2sys package. Computers and Geosciences, 36, 348-354, https://www.researchgate.net/publication/220164039_Tools_for_analyzing_intersecting_tracks_The_x2sys_package.

Wessel, P. (1989), XOVER: A cross-over error detector for track data, Computers and Geosciences, 15(3), 333-346, https://doi.org/10.1016/0098-3004(89)90044-7.

## See Also

x2sys_cross, x2sys_datalist, x2sys_get, x2sys_init, x2sys_put, x2sys_report, x2sys_solve